Bug 443469 - Review Request: pytrainer - A tool to log all your sport excursions
Review Request: pytrainer - A tool to log all your sport excursions
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-21 14:19 EDT by Douglas E. Warner
Modified: 2008-09-28 14:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-07 11:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
katzj: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Comment 1 Jeremy Katz 2008-05-14 09:23:38 EDT
So the obvious first problem just from starting to look is that this isn't going
to work with rawhide/F9 due to the move to xulrunner and firefox3.  

Working through other some of the other stuff for review, though
* Requires: python will be automatically added, no need to explicitly list it
* python-sqlite2 is the same API as the sqlite3 module in the stock python
package...  I'm actually not even sure why we keep shipping it (bug 446389)
* There's no COPYING or LICENSE in the upstream tarball.  It would be good to
get the upstream to make that more explicit as well as ensuring the GPLv2 vs GPLv2+
* rpmlint only warns about lack of documentation, but there's not really
anything in the tarball.  You could leave out the blank %doc line from %files

Otherwise, at least from a quick review, everything looks good.  But the firefox
thing might be a bit tricky :-/
Comment 2 Jeremy Katz 2008-06-16 16:13:27 EDT
Okay, doing some playing today with this in rawhide and I get things to work
properly with 
  $ LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9pre/
MOZILLA_FIVE_HOME=/usr/lib/xulrunner-1.9pre/ python ./pytrainer.py

And without the patch that's in the package.  The license looks like the big
thing to get to the bottom of and then we should be able to get this in.  And
then I can write the plugin to have it use the garmin-sync stuff I just
submitted for review to sync all of the data off of a Garmin Edge or Forerunner :-)
Comment 3 Douglas E. Warner 2008-06-19 12:04:39 EDT
Spec URL:

* Thu Jun 19 2008 Douglas E. Warner <silfreed@silfreed.net>
- updating to support xulrunner or firefox
- removing empty doc line
- added patch to use sqlite3

I've emailed the maintainer about adding a LICENSE or COPYING file; I'll let you
know once that's in.
Comment 4 Douglas E. Warner 2008-06-19 13:27:06 EDT
Recently changed my paths around a bit; new Spec URL:
Comment 5 Jeremy Katz 2008-06-26 15:35:14 EDT
Okay, more comprehensive review:

* Needs to own %{_datadir}/pytrainer directory rather than just the contents of
the directory
* I thought we had removed the need for --vendor from the desktop-file-install,
but guidelines still include it so I may be mistaken

Otherwise, looks good.  Fix up the first one before importing it and then once
you get the license clarification, include that as well as having the license
file as %doc.  But APPROVED
Comment 6 Maxime CARRON 2008-07-05 21:16:10 EDT
I can't find this software neither on koji nor on bodhi.
Did you push it?
Do you plan to do it?
Comment 7 Douglas E. Warner 2008-07-05 22:14:42 EDT
I'm still waiting on upstream to get back to me about the license issue.  I'll
go ahead and request CVS be setup and I'll ping upstream about it again.
In the meantime you can try the packages from my repository:
Comment 8 Douglas E. Warner 2008-07-05 22:20:38 EDT
New Package CVS Request
Package Name: pytrainer
Short Description: A tool to log all your sport excursions
Owners: silfreed
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-07-06 22:12:30 EDT
cvs done.
Comment 10 Douglas E. Warner 2008-07-07 11:10:03 EDT
Upstream has said they'll include the license file soon; I'll get the stuff
imported and built and wait to push it to updates until that gets in there
Comment 11 Klaus Möllenhoff 2008-07-09 13:11:52 EDT
works fine for me!
i only wish there would be a possibility to show 2 graphs in one graphic (like
speed and heartrate)
Comment 12 Fedora Update System 2008-09-28 14:36:56 EDT
pytrainer- has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-09-28 14:38:58 EDT
pytrainer- has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.